%define oname   patron

Name:       ruby-%{oname}
Version:    0.4.11
Release:    %mkrel 1
Summary:    Patron HTTP client
Group:      Development/Ruby
License:    MIT
URL:        http://github.com/toland/Patron
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
Patch0:     patron-0.4.11-fix-test-suite.patch
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: curl-devel
BuildRequires: rubygem(rspec)
BuildRequires: rubygem(jeweler)
Requires:   ruby(abi) = 1.8

%description
Ruby HTTP client library based on libcurl

%files
%defattr(-, root, root, -)
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%{ruby_sitearchdir}/%{oname}/*.so

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz
%patch0 -p0

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%check
ruby script/test_server &
sleep 10
rspec --format p --color spec/*_spec.rb
kill %%1

%clean
rm -rf %{buildroot}



%changelog
* Sat Apr 09 2011 shikamaru <shikamaru> 0.4.11-1.mga1
+ Revision: 82651
- New version 0.4.11
- fix file list
- add check section
- fix test suite (missing require)

* Wed Feb 02 2011 shikamaru <shikamaru> 0.4.10-1.mga1
+ Revision: 46484
- imported package ruby-patron


* Tue Jan 25 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.4.10-1mdv2011.0
- Apply new ruby policy
- Apply general mageia rules
- New version 0.4.10

* Thu Nov 04 2010 Rémy Clouard <shikamaru@mandriva.org> 0.4.9-1mdv2011.0
+ Revision: 593114
- import rubygem-patron

